{ config, lib, ... }:
let
  keys = import ../../../variables/keys.nix;
  inherit (import ../../lib/default.nix { inherit lib config; }) mkUser deepMergeAttrsets;
in
deepMergeAttrsets [

  {
    sops.secrets.sharedUsers-elias = {
      sopsFile = ../../../../secrets/shared-users.yaml;
      neededForUsers = true;
      format = "yaml";
    };

    sops.secrets.sharedUsers-justyna = {
      sopsFile = ../../../../secrets/shared-users.yaml;
      neededForUsers = true;
      format = "yaml";
    };
  }

  (mkUser {
    username = "elias";
    uid = 1001;
    openssh.authorizedKeys.keys = keys.users.steveej.openssh;
    hashedPasswordFile = config.sops.secrets.sharedUsers-elias.path;
  })

  (mkUser {
    username = "justyna";
    uid = 1002;
    openssh.authorizedKeys.keys = keys.users.steveej.openssh;
    hashedPasswordFile = config.sops.secrets.sharedUsers-justyna.path;
  })

]
